Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Jan 2024 10:50:53 -0500

> Personally, I think if Eglot, YASnippet and CEDET are all we
> actually know about, I think it's very simple to fix 2 out of three (even
> _without_ the "base mode").  And the 3 out of 3 I _think_ I can
> fix once someone points me to what exactly it should do.

I don't think embedding (repeatedly) in YASnippet, CEDET, Eglot, ffap,
lsp-mode, (and all the others that I don't happen to know offhand) the
knowledge that `FOO-ts-mode` is used for the same files as `FOO-mode`
qualifies as "fixing".

Instead, I'd call it "working around the lack of info which should be
provided by the mode".  The way my patch does it may not be The Right
Way (tho the jury is still out on this), but at least it provides the
info at the right place.

        Stefan